  !! ---------------- configuration ---------------------
  !! this is sigma in my paper
  real*8, parameter:: rand_width = 3.d0
  !!in my paper dimX = dimV = n
  integer, parameter::dimX = 10 !expand to X^{dimX-1}, dimX>=2 
  integer, parameter::dimV = 10  !expand to phi^{dimV-1}, dimV>=1
  !!k_pivot in my paper
  real*8, parameter:: khMpc_pivot = 0.05  !! k/h * Mpc used to check linear growth of delta phi
  !!cold dark matter + baryon; this does not include massive neutrinos
  real*8, parameter::Omega_m = 0.31
  !!bounds of c_s^2 and  w; maximum growth of delta phi; and maximum |1+w| at z>z_cmb
  real*8, parameter:: min_cs2 = 0.d0, max_w = -1./3., min_w = -1.e20, max_growth = 100.d0, frozen_cut  = 0.01d0
  !!how many samples you want to generate
  integer,parameter::want_samples = 100
  !!binary search rho0 = - V_00 in the range [scan_rho0_min, scan_rho0_max]
  real*8,parameter:: scan_rho0_min = 0.01
  real*8,parameter::scan_rho0_max = 100.
							   
  !! ----------------end of configuration ---------------------

